public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sergei Trofimovich" <slyfox@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-fs/curlftpfs/
Date: Thu, 10 Oct 2019 06:56:25 +0000 (UTC)	[thread overview]
Message-ID: <1570690576.46fbad3b7db1bb36e11663ffb194ac2e7cd82dd8.slyfox@gentoo> (raw)

commit:     46fbad3b7db1bb36e11663ffb194ac2e7cd82dd8
Author:     David Heidelberg <david <AT> ixit <DOT> cz>
AuthorDate: Wed Oct  9 08:17:35 2019 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Thu Oct 10 06:56:16 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=46fbad3b

net-fs/curlftpfs: fix sys-fs/fuse SLOT

Closes: https://bugs.gentoo.org/697018

Signed-off-by: David Heidelberg <david <AT> ixit.cz>
Closes: https://github.com/gentoo/gentoo/pull/13219
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>

 net-fs/curlftpfs/curlftpfs-0.9.2-r4.ebuild | 42 ++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/net-fs/curlftpfs/curlftpfs-0.9.2-r4.ebuild b/net-fs/curlftpfs/curlftpfs-0.9.2-r4.ebuild
new file mode 100644
index 00000000000..ee8b52e0a00
--- /dev/null
+++ b/net-fs/curlftpfs/curlftpfs-0.9.2-r4.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit eutils autotools
+
+DESCRIPTION="File system for accessing ftp hosts based on FUSE"
+HOMEPAGE="http://curlftpfs.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux ~x86-macos"
+IUSE=""
+RESTRICT="test" # bug 258460
+
+RDEPEND=">=net-misc/curl-7.17.0
+	>=sys-fs/fuse-2.2:0=
+	>=dev-libs/glib-2.0"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig"
+
+src_prepare() {
+	epatch "${FILESDIR}"/${P}-64bit_filesize.patch
+	epatch "${FILESDIR}"/${PN}-0.9.2-darwin.patch
+	epatch "${FILESDIR}"/${PN}-0.9.2-memleak.patch
+	epatch "${FILESDIR}"/${PN}-0.9.2-memleak-nocache.patch
+	epatch "${FILESDIR}"/${PN}-0.9.2-fix-escaping.patch
+
+	# automake-1.13.1 obsoletes AM_* bit #469818
+	sed -i -e 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/' configure.ac || die
+
+	epatch_user
+
+	eautoreconf
+}
+
+src_install() {
+	default
+	dodoc README
+}


             reply	other threads:[~2019-10-10  6:56 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-10-10  6:56 Sergei Trofimovich [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-04-11 16:30 [gentoo-commits] repo/gentoo:master commit in: net-fs/curlftpfs/ Sam James
2024-04-11 16:30 Sam James
2024-04-11 16:30 Sam James
2024-04-11 16:30 Sam James
2024-04-11 16:30 Sam James
2021-08-04  9:01 Sergei Trofimovich
2021-01-06 14:37 Fabian Groffen
2019-11-10 11:36 Sergei Trofimovich
2019-11-10 11:36 Sergei Trofimovich
2018-01-05  1:07 Mart Raudsepp

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1570690576.46fbad3b7db1bb36e11663ffb194ac2e7cd82dd8.slyfox@gentoo \
    --to=slyfox@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox